Target version: 3.4.2   

Resolution: Fixed Affected version: 3.4.1

Description

Hello,

The option textile rendering of the commit messages is enabled.

The messages are shown as formatted but the commits aren't rendered in markdown or textile.

I looked through the commit r16062 of #22758:

    if options[:formatting] == false

      text = h(text)

    else

      formatting = options[:formatting] || Setting.text_formatting

      text = Redmine::WikiFormatting.to_html(formatting, text, :object => obj, :attribute => attr)

    end

 For me it seem that the doubled options[:formatting] in the if and else part make no sense.

Because of the lazy evaluation the Setting.text_formatting isn't evaluated at all.

I changed the code to:

    if options[:formatting] == false

      text = h(text)

    else

      text = Redmine::WikiFormatting.to_html(Setting.text_formatting, text, :object => obj, 

:attribute => attr)

    end

 And now the comments are correctly rendered again.

Associated revisions

Revision 16823 - 2017-07-16 20:02 - Jean-Philippe Lang

Fixed that formatting of commit message is never applied (#26445).

Revision 16824 - 2017-07-16 20:04 - Jean-Philippe Lang

Merged r16823 (#26445).

History

#1 - 2017-07-15 13:58 - Nils Grimm

Or other way around would make sense.

If the system setting is set to false, the text would still be formatted.

    if options[:formatting] == false

      text = h(text)

    else

      formatting = Setting.text_formatting || options[:formatting] 

      text = Redmine::WikiFormatting.to_html(formatting, text, :object => obj, :attribute => attr)

    end
#2 - 2017-07-15 14:14 - Toshi MARUYAMA

- Description updated

#3 - 2017-07-15 14:19 - Toshi MARUYAMA

- Target version set to 3.4.2

#4 - 2017-07-15 14:27 - Toshi MARUYAMA

Nils Grimm wrote:

Or other way around would make sense.

If the system setting is set to false, the text would still be formatted.

[...]

 I think your description is good enough because "format = true/false" is non sense.

#5 - 2017-07-16 20:05 - Jean-Philippe Lang

- Subject changed from Textile rendering for commit messages doesn't render textile to Text formatting not applied to commit messages even if

enabled in settings

- Status changed from New to Closed

- Assignee set to Jean-Philippe Lang

- Resolution set to Fixed

Fix committed, thanks for pointing this out.
